Debian Bug report logs - #528411
libncurses5: mille (from bsdgames) crashes on startup

version graph

Package: libncurses5; Maintainer for libncurses5 is Craig Small <csmall@debian.org>; Source for libncurses5 is src:ncurses.

Reported by: Peter De Wachter <pdewacht@gmail.com>

Date: Tue, 12 May 2009 19:15:01 UTC

Severity: important

Found in version ncurses/5.7+20090510-1

Fixed in versions libncurses5/5.7+20090711-1, ncurses/5.7+20090711-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#528411; Package libncurses5. (Tue, 12 May 2009 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter De Wachter <pdewacht@gmail.com>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. (Tue, 12 May 2009 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncurses5: mille (from bsdgames) crashes on startup
Date: Tue, 12 May 2009 21:12:24 +0200
Package: libncurses5
Version: 5.7+20090510-1
Severity: important

With this version of ncurses, the game mille from the bsdgames collection
crashes on startup. Version 5.7+20090502-1 worked fine.

It's related to the value of the TERM environment variable:
TERM=vt102 mille  -> works
TERM=xterm mille  -> crashes

Backtrace:
#0  doupdate ()
    at /build/buildd/ncurses-5.7+20090510/ncurses/tty/tty_update.c:1013
	i = <value optimized out>
	nonempty = <value optimized out>
	before = {tms_utime = 0, tms_stime = 0, tms_cutime = 0, tms_cstime = 0}
	after = {tms_utime = 21658128, tms_stime = -72340172838076927, 
  tms_cutime = 140399978695344, tms_cstime = 21658128}
#1  0x00007fb16add4fad in wrefresh (win=0x14a7a10)
    at /build/buildd/ncurses-5.7+20090510/ncurses/base/lib_refresh.c:61
	code = 21583536
#2  0x000000000040583d in prboard () at mille/print.c:96
	i = <value optimized out>
	temp = 40
#3  0x0000000000403d4d in main (ac=1, av=0x7fff7321d618) at mille/mille.c:122
	restore = false


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libncurses5 depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries

Versions of packages libncurses5 recommends:
ii  libgpm2                       1.20.4-3.2 General Purpose Mouse - shared lib

libncurses5 suggests no packages.

-- no debconf information




Reply sent to Peter De Wachter <pdewacht@gmail.com>:
You have taken responsibility. (Mon, 03 Aug 2009 18:42:10 GMT) Full text and rfc822 format available.

Notification sent to Peter De Wachter <pdewacht@gmail.com>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 18:42:10 GMT) Full text and rfc822 format available.

Message #10 received at 528411-done@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: 528411-done@bugs.debian.org
Subject: Re: libncurses5: mille (from bsdgames) crashes on startup
Date: Mon, 3 Aug 2009 20:39:41 +0200
Package: libncurses5
Version: 5.7+20090711-1

mille works again with current versions of ncurses. I didn't notice
this bug was still open.

Op Tue, 12 May 2009 21:12:24 +0200
schreef Peter De Wachter <pdewacht@gmail.com>:

> Package: libncurses5
> Version: 5.7+20090510-1
> Severity: important
> 
> With this version of ncurses, the game mille from the bsdgames
> collection crashes on startup. Version 5.7+20090502-1 worked fine.
> 
> It's related to the value of the TERM environment variable:
> TERM=vt102 mille  -> works
> TERM=xterm mille  -> crashes
> 
> Backtrace:
> #0  doupdate ()
>     at /build/buildd/ncurses-5.7+20090510/ncurses/tty/tty_update.c:1013
> 	i = <value optimized out>
> 	nonempty = <value optimized out>
> 	before = {tms_utime = 0, tms_stime = 0, tms_cutime = 0,
> tms_cstime = 0} after = {tms_utime = 21658128, tms_stime =
> -72340172838076927, tms_cutime = 140399978695344, tms_cstime =
> 21658128} #1  0x00007fb16add4fad in wrefresh (win=0x14a7a10)
>     at /build/buildd/ncurses-5.7+20090510/ncurses/base/lib_refresh.c:61
> 	code = 21583536
> #2  0x000000000040583d in prboard () at mille/print.c:96
> 	i = <value optimized out>
> 	temp = 40
> #3  0x0000000000403d4d in main (ac=1, av=0x7fff7321d618) at
> mille/mille.c:122 restore = false
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
> Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages libncurses5 depends on:
> ii  libc6                         2.9-12     GNU C Library: Shared
> libraries
> 
> Versions of packages libncurses5 recommends:
> ii  libgpm2                       1.20.4-3.2 General Purpose Mouse -
> shared lib
> 
> libncurses5 suggests no packages.
> 
> -- no debconf information




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Wed, 15 Sep 2010 13:57:06 GMT) Full text and rfc822 format available.

Notification sent to Peter De Wachter <pdewacht@gmail.com>:
Bug acknowledged by developer. (Wed, 15 Sep 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 528411-done@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 528411-done@bugs.debian.org
Subject: Fixed in ncurses 5.7+20090711-1
Date: Wed, 15 Sep 2010 15:52:27 +0200
Package: ncurses
Version: 5.7+20090711-1

This bug had been closed long time ago, but with a "Package:"
pseudoheader that apparently prevents archival.  I'm trying to fix this,
so that the bug can be archived.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Oct 2010 07:31:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:44:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.